#### D.2.4.4 pnormalf

Procedure from library `grobcov.lib` (see grobcov_lib).

Usage:
  pnormalf(poly f,ideal E,ideal N);
  f: the polynomial in Q[a][x] (a=parameters,
  x=variables) to be reduced modulo V(E) \ V(N)
  of a segment in Q[a].
  E: the null conditions ideal in Q[a]
  N: the non-null conditions in Q[a]

Return:
  a reduced polynomial g of f, whose coefficients are
  reduced modulo E and having no factor in N.

Note:
  Should be called from ring Q[a][x]. Ideals E and N must be given by polynomials in Q[a].

Example:

    LIB "grobcov.lib";
    if(defined(R)){kill R;}
    ring R=(0,a,b,c),(x,y),dp;
    short=0;
    // parametric polynom
    poly f=(b^2-1)*x^3*y+(c^2-1)*x*y^2+(c^2*b-b)*x+(a-bc)*y;
    // ideals defining V(p)\V(q)
    ideal p=c-1;
    ideal q=a-b;
    // pnormaform of f on V(p) \ V(q)
    pnormalf(f,p,q);
    ==> (b^2-1)*x^3*y+(a-b)*y

User manual for Singular version 4.4.1, 2025, generated by texi2html.